# Interface IPropertyObservable<P extends IProperty>

Type Parameters:
  `P` - specific type of the value property being observed

All Superinterfaces:
  `IObserving`

public interface IPropertyObservable<P extends IProperty> extends IObserving
Provides access to the details of property observables

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`P`
`getProperty()`
Returns the property being observed

### Methods inherited from interface IObserving

`getObserved`

## Method Details

### getProperty

P getProperty()
Returns the property being observed

Returns:
  the property being observed